org.apache.ignite.internal.processors.hadoop

## Interface HadoopHelper

All Known Implementing Classes:
  HadoopNoopHelper

    public interface HadoopHelper

IGFS utility processor adapter.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close helper.
`HadoopClassLoader` `commonClassLoader()` Get common Hadoop class loader.
`boolean` `isNoOp()`
`InputStream` `loadClassBytes(ClassLoader ldr, String clsName)`
`byte[]` `loadReplace(InputStream in, String originalName, String replaceName)` Load special replacement and impersonate.
`String` `workDirectory()` Get work directory.

### Method Detail

#### isNoOp

    boolean isNoOp()

Returns:
  Whether this is no-op implementation.

#### commonClassLoader

    HadoopClassLoader commonClassLoader()

Get common Hadoop class loader.

Returns:
  Common Hadoop class loader.

#### loadReplace

    byte[] loadReplace(InputStream in,
                       String originalName,
                       String replaceName)

Load special replacement and impersonate.

Parameters:
  `in` - Input stream.
  `originalName` - Original class name.
  `replaceName` - Replacer class name.
Returns:
  Result.

#### loadClassBytes

    @Nullable
    InputStream loadClassBytes(ClassLoader ldr,
                                         String clsName)

Parameters:
  `ldr` - Loader.
  `clsName` - Class.
Returns:
  Input stream.

#### workDirectory

    String workDirectory()

Get work directory.

Returns:
  Work directory.

#### close

    void close()

Close helper.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019